Behind the Blackboard! Ultra Experience- System Requirements for Collaborate with the Ultra Experience - Behind the Blackboard Skip Navigation
Download PDF  Icon Download PDF    Print article

Ultra Experience- System Requirements for Collaborate with the Ultra Experience

Date Published: Oct 13,2017


CategoryProduct:First_Time_Users_Ultra; Version:Ultra_Experience
Article No.: 000040373
Product:
Collaborate - Ultra Experience

Client Technology:

Collaborate System Requirements

Below, please find the supported Operating Systems, supported Internet Browsers, and recommended system specifications for using Collaborate with the Ultra experience.

Definitions of Terms

Certified: fully tested and supported.
Operational: fully tested, will continue to investigate and address only serious issues.
Compatible: partially tested and supported.
Provisional: untested but supported.
Unsupported: impossible or not supported.
Not Applicable: browser is not available for the Operating System

Collaborate with the Ultra experience

Collaborate with the Ultra experience is currently only available to customers with a SAS Enterprise License. Moderator Access, vClass and vOffice customers will not have access to this new Collaborate user experience initially.

Collaborate with the Ultra experience supports Windows and Mac PCs, Google Chromebook and Microsoft Surface Pro devices provided one of the supported browsers (listed below) are being used and audio/camera devices work with those browsers.  (Microsoft Surface devices running Windows RT are not supported.)

 ChromeFirefoxInternet ExplorerMicrosoft EdgeSafari
Windows® 7, 8, 8.164 bit: Certified 32 bit: Compatible64 bit: Certified 32 bit: CompatibleIE11 64 bit :Certified
IE11 32 bit :Compatible
Not ApplicableNot Applicable
Windows 1064 bit: Certified 32 bit: Compatible64 bit: Certified 32 bit: CompatibleIE11 64 bit :Certified
​IE11 32 bit :Compatible
64 bit: Compatible
32 bit: Compatible
Not Applicable
  Mac 10.9, 10.10, 10.11, 10.12, 10.1310.9,10.10, 10.11, 10.12:Certified
10:13: Provisional
10.9,10.10, 10.11, 10.12:Certified
10:13: Provisional
Not ApplicableNot Applicable10.9,10.10, 10.11, 10.12:Certified
10:13: Provisional
  UbuntuProvisionalUnsupportedNot ApplicableNot ApplicableNot Applicable
 
  • Firefox version 49 or higher is required for the WebRTC experience.
  • Only the latest two stable versions of the browsers listed above are supported.
  • July 6, 2016 Update: Support for Internet Explorer 10 was permanently discontinued on July 1, 2016. We will no longer be providing technical support services for clients using IE 10. For more information please review our Our End Of Support for Internet Explorer 10 with the Ultra Experience support bulletin.
  • April 21, 2017 Update:  Blackboard Support would like to inform you that we are aware of an issue that affects Collaborate with the Ultra experience when using Chrome 58 that was released today (Friday, April 21, 2017). Chrome 58 was released with a bug that causes a tab crash (Aw, Snap) when using Collaborate with the Ultra experience (and other WebRTC applications). Please review KBA 000045835 for complete details and workarounds.

Mobile Support:

We have introduced mobile support for Collaborate with the Ultra experience.

Please review Release Notes for Bb Student, for complete details and system requirements.

Device and Browser Support:

  • The optimal Collaborate experience for all users is with Google's Chrome or Firefox (version 49+) browsers. Chrome and Firefox support all of the functionality necessary to run a full-featured Collaborate session through it's support of WebRTC. Note that hosting an "App Share" requires a Chrome or Firefox extension provided by Blackboard.  Chrome or Firefox Extensions are simple add-in modules in the browsers.  They do not require a restart of the session or browser to function.  Users will be prompted to enable the extension the first time they use App Share or File Upload.
  • For Presenters and Moderators: Collaborate with the Ultra experience will not support the "App Share" feature for session presenters and moderators using the Safari, Firefox (Version 48 and earlier) or Internet Explorer browsers as they do not yet support WebRTC. The use of video and audio features during a session will require Adobe Flash in these browsers.
    • We only support the Adobe Flash Player  Version 17 or above.
    • The Flash requirement for audio, video and app share will be removed when each respective browser vendor (Apple, Mozilla and Microsoft) supports the WebRTC standards necessary for the new Ultra experience.
      • Firefox version 48 and earlier use Flash
      • Firefox version 49 or higher is required for the WebRTC experience.
  • For Participants:The Safari and Internet Explorer browsers are fully supported for the participant experience. Collaborate with the Ultra experience will utilize Adobe Flash for viewing and sharing audio and video, and viewing app share.
    • We only support the Adobe Flash Player Version 17 or above.
    • The Flash requirement for audio, video and app share will be removed when each respective browser vendor (Apple, Mozilla and Microsoft) supports the WebRTC standards necessary for the new Ultra experience.
      • Firefox version 48 and earlier use Flash
      • Firefox version 49 or higher is required for the WebRTC experience.

Screen Reader Support:

 ChromeFirefoxInternet Explorer 11Microsoft EdgeSafari
Windows® 7, 8, 8.1 with JAWS(v17)UnsupportedCompatibleCertifiedUnsupportedUnsupported
Windows 10 with JAWS(v17)UnsupportedProvisionalProvisionalProvisionalUnsupported
  Mac OS 10.9, 10.10, 10.11, 10.12 with VoiceOverUnsupportedProvisionalUnsupportedUnsupportedCertified
  UbuntuUnsupportedUnsupportedUnsupportedUnsupportedUnsupported

Please review our Accessibility knowledge base article for additional information.


Support File Types For Upload:

  • File Types Supported For Upload: .ppt, .pptx, .pdf can be converted
  • Image Files Types Supported for upload: .gif, .jpeg, .png

Support File Types For Profile Picture:

  • Supported image types for profile picture: .png, .jpeg, .jpg

Bandwidth Requirements and Recommendations:

  • Please review KBA 000042978 for more information on Bandwidth consumption and requirements when using Collaborate with the Ultra experience.


The information contained in the Knowledge Base was written and/or verified by Blackboard Support. It is approved for client use. Nothing in the Knowledge Base shall be deemed to modify your license in any way to any Blackboard product. If you have comments, questions, or concerns, please send an email to kb@blackboard.com. © 2017 Blackboard Inc. All rights reserved